<template>
  <BaseLayout class="volga-dnepr">
    <main class="volga-dnepr__content">
      <!-- background icons -->
      <BackgroundIcons />

      <!-- SECTIONS -->

      <!-- top banner -->
      <CaseTopBanner
        :title="caseData.topBanner.title"
        :description="caseData.topBanner.description"
        :desktopImage="caseData.topBanner.desktopImage"
        :mobileImage="caseData.topBanner.mobileImage"
      />

      <!-- project description -->
      <section class="case-section">
        <h3 class="case-section__title">о проекте</h3>
        <ProjectDescription />
      </section>

      <!-- prototype -->
      <section class="case-section">
        <h3 class="case-section__title">прототипирование</h3>
        <CasePrototype :tabs="caseData.prototype" />
      </section>

      <!-- web desktop -->
      <section class="case-section">
        <h3 class="case-section__title">до эфира <span>/ десктоп</span></h3>
        <CaseWebDesktop :tabs="caseData.webDesktop" />
      </section>

      <!-- web adaptive -->
      <section class="case-section">
        <h3 class="case-section__title">
          до эфира <span>/ планшет и телефон</span>
        </h3>
        <CaseWebAdaptive :tabs="caseData.webAdaptive" />
      </section>

      <!-- web desktop broadcast -->
      <section class="case-section">
        <h3 class="case-section__title">
          во время эфира <span>/ десктоп</span>
        </h3>
        <CaseWebDesktop :tabs="caseData.webDesktopBroadcast" />
      </section>

      <!-- web adaptive broadcast -->
      <section class="case-section">
        <h3 class="case-section__title">
          во время эфира <span>/ планшет и телефон</span>
        </h3>
        <CaseWebAdaptive :tabs="caseData.webAdaptiveBroadcast" />
      </section>

      <!-- ui kit -->
      <section class="case-section">
        <h3 class="case-section__title">кит пользовательского интерфейса</h3>
        <CaseUIKit :data="caseData.UIKit" />
      </section>

      <!-- results -->
      <section class="case-section">
        <h3 class="case-section__title">итоговый продукт</h3>
        <CaseResults
          :slides="caseData.results.slides"
          :descriptionHTML="caseData.results.descriptionHTML"
        />
      </section>

      <!-- END SECTIONS -->
    </main>
  </BaseLayout>
</template>
<script>
import BackgroundIcons from './BackgroundIcons'
import BaseLayout from '@/components/layout/BaseLayout'

// sections
import ProjectDescription from './ProjectDescription'
import CaseTopBanner from '@/components/shared/CaseTopBanner'
import CaseWebDesktop from '@/components/shared/CaseWebDesktop'
import CaseWebAdaptive from '@/components/shared/CaseWebAdaptive'
import CasePrototype from '@/components/shared/CasePrototype'
import CaseUIKit from '@/components/shared/CaseUIKit'
import CaseResults from '@/components/shared/CaseResults'

import { v4 as uuidv4 } from 'uuid'

export default {
  name: 'VolgaDnepr',
  components: {
    BaseLayout,
    BackgroundIcons,
    ProjectDescription,
    CaseTopBanner,
    CaseWebDesktop,
    CaseWebAdaptive,
    CasePrototype,
    CaseUIKit,
    CaseResults
  },
  setup() {
    const pathToCaseImages = '/images/cases/volga-dnepr'
    const caseData = {
      topBanner: {
        title: 'Волга-Днепр',
        description: 'онлайн ивент к 30-летию авиакомпании',
        desktopImage: `${pathToCaseImages}/web-desktop/main.png`,
        mobileImage: `${pathToCaseImages}/web-mobile/main.png`
      },
      prototype: [
        {
          id: uuidv4(),
          title: 'до эфира',
          images: [
            { id: uuidv4(), url: `${pathToCaseImages}/prototype/main.png` },
            {
              id: uuidv4(),
              url: `${pathToCaseImages}/prototype/beauty-blog.png`
            },
            { id: uuidv4(), url: `${pathToCaseImages}/prototype/gratters.png` },
            { id: uuidv4(), url: `${pathToCaseImages}/prototype/talents.png` }
          ]
        },
        {
          id: uuidv4(),
          title: 'во время эфира',
          images: [
            {
              id: uuidv4(),
              url: `${pathToCaseImages}/prototype/main-broadcast.png`
            },
            {
              id: uuidv4(),
              url: `${pathToCaseImages}/prototype/photozone.png`
            },
            { id: uuidv4(), url: `${pathToCaseImages}/prototype/alcove.png` },
            { id: uuidv4(), url: `${pathToCaseImages}/prototype/room.png` }
          ]
        }
      ],
      webDesktop: [
        {
          id: uuidv4(),
          title: 'предэфирная страница',
          image: `${pathToCaseImages}/web-desktop/main.png`
        },
        {
          id: uuidv4(),
          title: 'бьюти-блог',
          image: `${pathToCaseImages}/web-desktop/beauty-blog.png`
        },
        {
          id: uuidv4(),
          title: 'поздравления',
          image: `${pathToCaseImages}/web-desktop/gratters.png`
        },
        {
          id: uuidv4(),
          title: 'наши таланты',
          image: `${pathToCaseImages}/web-desktop/talents.png`
        }
      ],
      webAdaptive: [
        {
          id: uuidv4(),
          title: 'предэфирная страница',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/main.png`,
            mobile: `${pathToCaseImages}/web-mobile/main.png`
          }
        },
        {
          id: uuidv4(),
          title: 'бьюти-блог',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/beauty-blog.png`,
            mobile: `${pathToCaseImages}/web-mobile/beauty-blog.png`
          }
        },
        {
          id: uuidv4(),
          title: 'поздравления',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/gratters.png`,
            mobile: `${pathToCaseImages}/web-mobile/gratters.png`
          }
        },
        {
          id: uuidv4(),
          title: 'наши таланты',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/talents.png`,
            mobile: `${pathToCaseImages}/web-mobile/talents.png`
          }
        }
      ],
      webDesktopBroadcast: [
        {
          id: uuidv4(),
          title: 'эфир',
          image: `${pathToCaseImages}/web-desktop/main-broadcast.png`
        },
        {
          id: uuidv4(),
          title: 'фотозона',
          image: `${pathToCaseImages}/web-desktop/photozone.png`
        },
        {
          id: uuidv4(),
          title: 'беседка',
          image: `${pathToCaseImages}/web-desktop/alcove.png`
        },
        {
          id: uuidv4(),
          title: 'комната беседки',
          image: `${pathToCaseImages}/web-desktop/room.png`
        }
      ],
      webAdaptiveBroadcast: [
        {
          id: uuidv4(),
          title: 'эфир',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/main-broadcast.png`,
            mobile: `${pathToCaseImages}/web-mobile/main-broadcast.png`
          }
        },
        {
          id: uuidv4(),
          title: 'фотозона',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/photozone.png`,
            mobile: `${pathToCaseImages}/web-mobile/photozone.png`
          }
        },
        {
          id: uuidv4(),
          title: 'беседка',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/alcove.png`,
            mobile: `${pathToCaseImages}/web-mobile/alcove.png`
          }
        },
        {
          id: uuidv4(),
          title: 'комната беседки',
          images: {
            tablet: `${pathToCaseImages}/web-tablet/room.png`,
            mobile: `${pathToCaseImages}/web-mobile/room.png`
          }
        }
      ],
      UIKit: {
        id: uuidv4(),
        title: 'ui kit',
        image: `${pathToCaseImages}/ui-kit/kit.png`
      },
      results: {
        slides: [
          {
            id: uuidv4(),
            title: 'итоговый продукт',
            video: {
              src: 'https://storage.webgoer.ru/videos/vd-online-event.mp4',
              poster: '/images/cases/volga-dnepr/result/online-event-poster.png'
            }
          },
          {
            id: uuidv4(),
            title: 'итоговый продукт',
            video: {
              src: 'https://storage.webgoer.ru/videos/vd-backstage.mp4',
              poster: '/images/cases/volga-dnepr/result/backstage-poster.png'
            }
          }
        ],
        descriptionHTML: `
        <p>Проект объединил в себе коллег из разных часовых поясов, одновременно трансляцию смотрели <b>более 3 500 человек</b>, активных пользователей было <b>более 2 800</b>.</p>
        <p>Реализация проекта заняла <b>2 место премии “Золотой Пазл 2020 - Лучший ивент проект”</b> как лучшее корпоративное онлайн-мероприятие.</p>
        <p>Реализация проводилась совместно с <b>Nikitin Communucaton Management</b>.</p>`
      }
    }

    return { caseData }
  }
}
</script>
